using OpenTK.Mathematics;
using OpenTK.Windowing.Common;
using OpenTK.Windowing.Desktop;

namespace Map3DRendering {
    public static class Program {
        private static void Main() {
            var nativeWindowSettings = new NativeWindowSettings() {
                Size = new Vector2i(800, 600),
                Title = "LearnOpenTK - Map AC2",
                // This is needed to run on macos
                Flags = ContextFlags.ForwardCompatible,
            };

            using (var window = new Window(GameWindowSettings.Default, nativeWindowSettings)) {
                window.Run();
            }
        }
    }
}
